Bug 1271723 - 'Orchestration Template creation': Validation failed: Md5 of content already exists" always displayed while creating heat orchestration template
'Orchestration Template creation': Validation failed: Md5 of content already ...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity medium
: GA
: 5.5.0
Assigned To: lgalis
Aziza Karol
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 10:33 EDT by Aziza Karol
Modified: 2015-12-08 08:38 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:38:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
err (58.54 KB, image/png)
2015-10-14 10:33 EDT, Aziza Karol
no flags Details
template gets created after cancellation (70.40 KB, image/png)
2015-10-14 10:36 EDT, Aziza Karol
no flags Details

  None (edit)
Description Aziza Karol 2015-10-14 10:33:24 EDT
Created attachment 1082842 [details]
err

Description of problem:


Version-Release number of selected component (if applicable):
5.5.0.5-beta1.1.20151007163855_ed40d96 

How reproducible:
100%

Steps to Reproduce:
1.Navigate to services->catalogs->orchestration templates
2.Add a new orchestration template of type heat
3.add details and click on add 

Actual results:
Error during 'Orchestration Template creation': Validation failed: Md5 of content already exists (content must be unique) displayed in UI. see attached screenshot

Expected results:


Additional info:
Comment 1 Aziza Karol 2015-10-14 10:36:01 EDT
when the user tries to cancel the creation after the error is displayed flash message "Creation of a new Orchestration Template was cancelled by the user" is displayed, but the template gets created. see attached screenshot.
Comment 2 Aziza Karol 2015-10-14 10:36 EDT
Created attachment 1082843 [details]
template gets created after cancellation
Comment 7 lgalis 2015-10-15 09:59:13 EDT
Please test with the new master, after this PR was merged.
https://github.com/ManageIQ/manageiq/pull/4751
Note that orchestration templates need to have different contents.
Comment 8 Aziza Karol 2015-10-28 01:43:38 EDT
Able to add 'Orchestration Template'.

Verified:5.5.0.7-beta1.3.20151021133253_ed40d96
Comment 10 errata-xmlrpc 2015-12-08 08:38:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.